curl --request PUT \
--url https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/displays/{actionId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "body",
"component_ids": [
"component_id"
],
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"enabled": true,
"headers": {
"headers_key": "headers_key"
},
"quality": "ALWAYS",
"response": {
"body": "body",
"headers": {
"headers_key": "headers_key"
},
"statusCode": 1
}
}
'import requests
url = "https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/displays/{actionId}"
payload = {
"body": "body",
"component_ids": ["component_id"],
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"enabled": True,
"headers": { "headers_key": "headers_key" },
"quality": "ALWAYS",
"response": {
"body": "body",
"headers": { "headers_key": "headers_key" },
"statusCode": 1
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('body'),
component_ids: ['component_id'],
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
enabled: true,
headers: {headers_key: 'headers_key'},
quality: 'ALWAYS',
response: {
body: JSON.stringify('body'),
headers: {headers_key: 'headers_key'},
statusCode: 1
}
})
};
fetch('https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/displays/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_id": "<string>",
"action_type": "DISPLAY",
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"body": "<string>",
"headers": {},
"response": {
"body": "<string>",
"headers": {},
"statusCode": 123
}
}Update a display action
Updates the display action on the specified campaign controller. Only fields present in the request body are changed. Returns the updated action.
Authorizations
Path Parameters
(/version/.+)?Body
Body of a PUT /v2/campaigns/{campaignId}{version:(/version/.+)?}/controllers/{controllerId}/actions/displays/{actionId} request.
Choose between static or dynamic body
Show child attributes
Show child attributes
Choose between static or dynamic enabled
Choose between static or dynamic headers
Show child attributes
Show child attributes
ALWAYS, HIGH, LOW Choose between static or dynamic response
Show child attributes
Show child attributes
Response
Successful response
DISPLAY Show child attributes
Show child attributes
The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.
ALWAYS, HIGH, LOW The body as configured: a literal value, or an expression (type:string) when defined dynamically.
The headers as configured: a literal value, or an expression (type:string) when defined dynamically.
Show child attributes
Show child attributes
The response as configured: a literal value, or an expression (type:string) when defined dynamically.
Show child attributes
Show child attributes
